KDE 4.2 PyKDE API Reference

- KDE's Python API

# KFilePreviewGenerator Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Generates previews for files of an item view.

Per default a preview is generated for each item. Additionally the clipboard is checked for cut items. The icon state for cut items gets dimmed automatically.

The following strategy is used when creating previews: - The previews for currently visible items are created before the previews for invisible items. - If the user changes the visible area by using the scrollbars, all pending previews get paused. As soon as the user stays on the same position for a short delay, the previews are resumed. Also in this case the previews for the visible items are generated first.

Since:
  4.2

## Methods

| __init__ (self, QAbstractItemView parent)
| __init__ (self, KAbstractViewAdapter parent, QAbstractProxyModel model)
| __init__ (self, KFilePreviewGenerator a0)
| cancelPreviews (self)
QStringList | enabledPlugins (self)
bool | isPreviewShown (self)
| setEnabledPlugins (self, QStringList list)
| setPreviewShown (self, bool show)
| updatePreviews (self)

## Method Documentation

__init__ | ( | self, |
|  | QAbstractItemView | parent
| ) |  |  |

Parameters:

  | parent | Item view containing the file items where previews should be generated. It is mandatory that the item view specifies an icon size by QAbstractItemView.setIconSize() and that the model of the view (or the source model of the proxy model) is an instance of KDirModel. Otherwise no previews will be generated.

__init__ | ( | self, |
|  | KAbstractViewAdapter | parent,
|  | QAbstractProxyModel | model
| ) |  |  |

Internal:

__init__ | ( | self, |
|  | KFilePreviewGenerator | a0
| ) |  |  |

cancelPreviews | ( |  | self ) |

Cancels all pending previews.

QStringList enabledPlugins | ( |  | self ) |

Returns the list of enabled thumbnail plugins, or an empty list if all plugins are enabled.

See also:
  setEnabledPlugins

bool isPreviewShown | ( |  | self ) |

setEnabledPlugins | ( | self, |
|  | QStringList | list
| ) |  |  |

Sets the list of enabled thumbnail plugins. If the list is empty, all plugins will be enabled. All plugins are enabled by default.

Note that this method doesn't cause already generated previews to be regenerated.

For a list of available plugins, call KServiceTypeTrader.self()->query("ThumbCreator").

See also:
  enabledPlugins

setPreviewShown | ( | self, |
|  | bool | show
| ) |  |  |

If show is set to true, a preview is generated for each item. If show is false, the MIME type icon of the item is shown instead. Per default showing the preview is turned on. Note that it is mandatory that the item view specifies an icon size by QAbstractItemView.setIconSize(), otherwise KFilePreviewGenerator.isPreviewShown() will always return false.

updatePreviews | ( |  | self ) |

Updates the previews for all already available items. Usually it is only necessary to invoke this method when the icon size of the abstract item view has been changed by QAbstractItemView.setIconSize().